Name:           smem
Version:        1.0
Release:        3%{?dist}
Summary:        Report application memory usage in a meaningful way

Group:          Applications/System
License:        GPLv2+
URL:            http://www.selenic.com/smem/
Source0:        http://www.selenic.com/smem/download/smem-%{version}.tar.gz
Requires:       kernel >= 2.6.27
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
smem is a tool that can give numerous reports on memory usage on Linux
systems. Unlike existing tools, smem can report proportional set size (PSS),
which is a more meaningful representation of the amount of memory used by
libraries and applications in a virtual memory system.

Because large portions of physical memory are typically shared among
multiple applications, the standard measure of memory usage known as
resident set size (RSS) will significantly overestimate memory usage. PSS
instead measures each application's "fair share" of each shared area to give
a realistic measure.

%prep

%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 smem $RPM_BUILD_ROOT/%{_bindir}/smem
install -D -p -m 644 smem.8 $RPM_BUILD_ROOT/%{_mandir}/man8/smem.8
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/smem
%{_mandir}/man8/smem.8*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 10 2011 Matthew Miller <mattdm@mattdm.org> - 1.0-2
- don't hardcode version in source name above, because that
  will lead to me confusing myself. trust me.
- no longer install sample script as documentation

* Wed Aug 10 2011 Matthew Miller <mattdm@mattdm.org> - 1.0-1
- update to 1.0 (bugzilla #678249)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 11 2009 Matthew Miller <mattdm@mattdm.org> - 0.9-1
- update to 0.9
- drop add-hoc index.html doc; add man pages
- drop patches, which are now upstream
- not currently building smemcap.c into an executable -- it's new,
  and would switch the package from being noarch. will deal with that
  in a future update of the package.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May  7 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-4
- remove smem.pdf at request of upstream
- patch0: 741bd2646ebf -- add GPLv2+ and copyright notice
- patch1: 4320ad746bcc -- check that kernel release >= 2.6.27

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-3
- fix minor rpmlint concerns raised in review (bz #498490)

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-2
- whoops -- fixed group

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-1
- initial specfile
- note gplv2+ license -- added in svn and will be in next code release
